1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Upgrade auf 2.0.4

Dieses Thema im Forum "Installation" wurde erstellt von tboley, 29. Juli 2006.

  1. olafson

    olafson Well-Known Member

    Registriert seit:
    16. März 2005
    Beiträge:
    54
    Zustimmungen:
    0
    Upgrade bei allen drei Blogs hat geklappt.
     
  2. MacTV

    MacTV Well-Known Member

    Registriert seit:
    4. April 2005
    Beiträge:
    45
    Zustimmungen:
    0
    Hat soweit auch alles geklappt.
    Nur beim customizable-comment-listings plugin macht er zicken.

    Recent Comments
    Warning: call_user_func_array(): First argumented is expected to be a valid callback, 'force_balance_tags' was given in /www/htdocs/v148000/blog_2_0/wp-includes/functions.php on line 1226

    Eike:
    Warning: call_user_func_array(): First argumented is expected to be a valid callback, 'force_balance_tags' was given in /www/htdocs/v148000/blog_2_0/wp-includes/functions.php on line 1226


    > http://www.coffee2code.com/archives/2005/03/30/plugin-customizable-comment-listings/
     
  3. Sorcio

    Sorcio Active Member

    Registriert seit:
    16. Mai 2006
    Beiträge:
    40
    Zustimmungen:
    0
    Fehler in upgrade.php

    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    ... Was bedeutet dies? Ich habe die Datei bereits 3fach überschrieben aber hat leider alles nix geholfen.:oops:

    Hilfe wäre angebracht denn ich bin zu unwissend auf dem gebiet, danke!;)
     
  4. forumfranz

    forumfranz Active Member

    Registriert seit:
    8. Juli 2006
    Beiträge:
    41
    Zustimmungen:
    0
    Bei mir hat das Update ohne Probleme geklapt.

    Danke an die WP Entwickler!
     
  5. peapo

    peapo Active Member

    Registriert seit:
    4. Oktober 2005
    Beiträge:
    26
    Zustimmungen:
    0
    also ich hab auf meinem blog ebenfalls das update ohne größere probleme hinbekommen - allerdings wird bei mir noch immer v. 2.0.3 angezeigt.

    ich bin wie folgt vorgegangen :
    1. backup aller html/php -files ; mysqldb
    2. löschen der alten dateien (die durch die neueren ersetzt werden)
    3. upload der neuen files & ausführen der upgrade.php

    es funktioniert alles ohne probleme, mit ausnahme der versionsanzeige.
    hat jemand eine idee ? (http://networx3005.de)
     
  6. MamboBlog

    MamboBlog Active Member

    Registriert seit:
    16. Mai 2006
    Beiträge:
    34
    Zustimmungen:
    0
    Null Probleme, einmal mit, einmal ohne Ausschalten der Plugins das Update gemacht. Läuft wie am Schnürchen. Bestens!
     
  7. Ferdinand

    Ferdinand Well-Known Member

    Registriert seit:
    25. Juni 2006
    Beiträge:
    308
    Zustimmungen:
    0
    In meinem Blog musste ich dieses per Hand ändern. Bei mir war es in der sidebar.php, aber bei Dir könnte es in der Footer-Datei sein, oder?
     
  8. tboley

    tboley Well-Known Member

    Registriert seit:
    27. Oktober 2005
    Beiträge:
    1.178
    Zustimmungen:
    0
    Mir ist gerade was aufgefallen bei Version 2.0.4: Nach dem ich auf einen eigene, älteren Beitrag in einem neuen Posting verlinkt hatte, tauchte ein sehr merkwürdiger Kommentar in der Moderation auf:

    [...] auf der Suche nach einem ist, der kann es ja mal mit diesem hier probieren. StöckchenTellerrand Trackback Social bookmarking:del.icio.usMister Wong var blogTool = "WordPress"; var blogURL ="http://www.wildbits.de"; var blogTitle = "wildbits"; var postURL = "http://www.wildbits.de/2006/08/01/lagerfeuer-fuer-stoeckchen/"; var postTitle = "Lagerfeuer für Stöckchen"; var commentAuthorFieldName = "author"; var commentAuthorLoggedIn = false; var commentFormID = "commentform"; var commentTextFieldName = "comment"; var commentButtonName = "submit"; [...]

    Die ganzen Varibalen erscheinen im Klartext im Kommentar. Kann das jemand an seinem Blog nachvollziehen?

    Wie sieht es dann mit Trackbacks aus?
     
  9. peapo

    peapo Active Member

    Registriert seit:
    4. Oktober 2005
    Beiträge:
    26
    Zustimmungen:
    0
    nope, in meinem eigenen template befindet sich es in der index.php - ist ja eigentlich auch egal wo der code steht.

    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    hier kann ich jedenfalls nicht viel verändern^^. wäre nett wenn jemand wüsste wo sich die funktion bloginfo('version') ihre daten herholt, damit man das per hand nachbessern kann..


    // EDIT: >> Problem Solved! <<
     
    #29 peapo, 1. August 2006
    Zuletzt bearbeitet: 1. August 2006
  10. quasimod

    quasimod Member

    Registriert seit:
    18. Juni 2006
    Beiträge:
    11
    Zustimmungen:
    0
    Moin,

    update hat wunderbar funktioniert. Habe zusätzlich das default_de theme ausgetauscht, seitdem stört mich ein kleiner hellgrauer Rand, nur mit Firefox.

    Gruss
     
  11. peapo

    peapo Active Member

    Registriert seit:
    4. Oktober 2005
    Beiträge:
    26
    Zustimmungen:
    0
    es gibt 2 möglichkeiten . entweder du nimmst dir ein bildbearbeitungsprogramm und passt die farbe des randes an die des backgrounds an oder du machst es einfacher :

    du öffnest die style.css des themes und änderst :
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!

    habs nicht ausprobiert - sollte aber funktionieren.
     
  12. quasimod

    quasimod Member

    Registriert seit:
    18. Juni 2006
    Beiträge:
    11
    Zustimmungen:
    0
    Moin,

    danke dafür, hat funktioniert.

    Gruss
     
  13. artx

    artx New Member

    Registriert seit:
    17. März 2006
    Beiträge:
    2
    Zustimmungen:
    0
    Danke tboley...
    Mein einziges Problem war:
    Nicht richtig ausgeschlafen habe ich kurzerhand den ganzen Ordner auf dem Server gelöscht und den neuen wp-admin raufgeladen.
    Für alle nach mir: Das gibt Fehler, weil der upgrade-Ordner nicht alle Dateien enthält-also richtig gelesen heisst "komplett aktualisieren" nur aktualisierte Dateien in den bisherigen wp-admin einfügen.
    Bei mir läuft 2.0.4
     
  14. jottlieb

    jottlieb Well-Known Member
    Ehrenmitglied

    Registriert seit:
    20. August 2005
    Beiträge:
    17.381
    Zustimmungen:
    0
    Das wäre kein Problem, wenn man nicht den Fix, sondern das komplette WP 2.0.4 nimmt. Ich persönlich nehme nie das Fix, sondern aktualisere alle Dateien, egal ob nun neu oder nicht.
     
  15. RehaugeW

    RehaugeW Well-Known Member

    Registriert seit:
    25. November 2005
    Beiträge:
    72
    Zustimmungen:
    0
    Also bei mir läuft 2.04 soweit gut aber....

    ich kann nicht mehr ändern, wieviele Beiträge pro Seite erscheinen sollen. Dann bekomme ich die Fehlermeldung:
    Wer weiß Rat? Ist das bei anderen Leuten auch so?

    Ach ja, manueller Eingriff in die Datenbank nützt auch nichts, er übernimmt es net. :(
     
  16. jottlieb

    jottlieb Well-Known Member
    Ehrenmitglied

    Registriert seit:
    20. August 2005
    Beiträge:
    17.381
    Zustimmungen:
    0
    Deaktiviere mal testweise alle Plugins.
     
  17. MaD

    MaD Well-Known Member
    Ehrenmitglied

    Registriert seit:
    28. Januar 2006
    Beiträge:
    3.097
    Zustimmungen:
    0
    schau dir mal bitte den Beitrag hier an

    von welcher Version hast du upgegradet und wie?
     
    #37 MaD, 13. August 2006
    Zuletzt bearbeitet: 13. August 2006
  18. RehaugeW

    RehaugeW Well-Known Member

    Registriert seit:
    25. November 2005
    Beiträge:
    72
    Zustimmungen:
    0
    Wunderbar danke. Ich hatte von 2.01 auf 2.04 geupdatet. nun aus der aktuellen 2.04 Version die Datei hochgeladen und funzt. Merci :)
     
  19. ben

    ben Well-Known Member

    Registriert seit:
    15. Juni 2005
    Beiträge:
    426
    Zustimmungen:
    0
    Fatal error: Unknown function: wp_get_referer()

    Fatal error: Unknown function: wp_get_referer()

    Das bekomme ich auf einigen seiten im BE, nachdem ich von 2.0.3 auf 2.0.4 upgedatet habe.

    die upgrade.php habe ich beim ersten mal erfolgreich aufrufen können (habe das upgrade dann auch "erfolgreich" durchgeführt), nach dem upgrade geht diese seite aber nichtmehr (der selbe fehler:
    Fatal error: Unknown function: wp_get_referer())

    das selbe, wenn ich einen post oder eine Seite bearbeiten oder neu anlegen will.

    ich habe ein zweites mal alle dateien der 2.0.4'er version rüberkopiert, doch hat dies nichts geholfen.

    hat jemand das selbe problem bzw. weiß woran es liegt?

    vielen Dank,
    Ben
     
  20. jottlieb

    jottlieb Well-Known Member
    Ehrenmitglied

    Registriert seit:
    20. August 2005
    Beiträge:
    17.381
    Zustimmungen:
    0
    Auch hier gilt: Testweise mal alle Plugins deaktivieren. Danach kann man weiterspekulieren.
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden